<?php
/**
*
* hookup mod [Spanish]
*
* @package language
* @copyright (c) 2006-2008 Pyramide (Frank Dreyer), (c) 2008-2015 gn#36 (Martin Beckmann)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// Define categories and permission types
$lang = array_merge($lang, array(
	'LOCALE'				=> 'es',
	'HOOKUP'				=> 'Planificador de reuniones',
	'HOOKUP_DESC'			=> 'Este tema tiene un planificador de reuniones adjunto. El planificador se puede utilizar para encontrar un tiempo para reunirse. Ingresa la disponibilidad junto a tu nombre de usuario en la tabla. El creador del planificador de reuniones o un Moderador puede utilizar los datos para determinar la fecha activa.',
	'ADD_HOOKUP'			=> 'Reunión',
	'ADD_HOOKUP_DESC'		=> 'Adjuntar una reunión a este tema',
	'ADD_HOOKUP_REACTIVATE'	=> 'Reactivar reunión',
	'ADD_HOOKUP_REACTIVATE_EXPLAIN' => 'Los datos de un planificador de reuniones previamente deshabilitado están disponibles. Si lo reactiva, las fechas y usuarios previamente agregados estarán disponibles nuevamente.',
	'HOOKUP_STATUS'			=> array(\gn36\hookup\functions\hookup::HOOKUP_YES => 'Si', \gn36\hookup\functions\hookup::HOOKUP_NO => 'No', \gn36\hookup\functions\hookup::HOOKUP_MAYBE => 'Tal vez', \gn36\hookup\functions\hookup::HOOKUP_UNSET => '-'),
	'HOOKUP_DATEFORMAT'		=> 'd M H:i', //d M h:i a // this is used for the column headings so it should be short
	'HOOKUP_DATEFORMAT_TITLE' => 'd.m.Y H:i', //this is used for the topic title
	'HOOKUP_DATEFORMAT_POST' => 'l, d.m.Y H:i', //this is used for the post when the active date is set
	'HOOKUP_DATEFORMAT_CALENDAR' => '%Y-%m-%d %H:%M',
	'HOOKUP_ADD_USERS'		=> 'Invitar usuarios',
	'HOOKUP_ADD_GROUPS'		=> 'Invitar grupos',
	'HOOKUP_ADD_DATES'		=> 'Proponer nuevas fechas',
	'HOOKUP_ADD_DATES_EXPLAIN'=> 'Aquí puede proponer nuevas fechas o opciones con texto descriptivo. Introduzca una fecha por línea en formato DD.MM.YYYY hh:mm, YYYY-MM-DD hh:mm o ponga un # para ingresar una opción en formato de texto.',
	'HOOKUP_ADD_DATEFORMAT'	=> ' (yyyy-mm-dd hh:mm)', //shown only for non js users (js users use the calendar)
	'CLEAR'					=> 'Limpiar',
	'CLEAR_TITLE'			=> 'Limpiar las fechas seleccionadas',
	'UNSET_ACTIVE'			=> 'Desactivar la fecha activa',
	'SET_ACTIVE'			=> 'Establecer activa',
	'SET_ACTIVE_EXPLAIN'	=> 'Establezca esta fecha como la fecha activa',
	'SET_ACTIVE_CONFIRM'	=> '¿Está seguro de querer hacer %s como fecha activa?',
	'UNSET_ACTIVE_CONFIRM'	=> '¿Está seguro de querer desactivar la fecha activa y volver a abrir el planificador de reuniones?',
	'ACTIVE_DATE_SET'		=> 'La fecha activa se ha establecido en %s.',
	'ACTIVE_DATE_UNSET'		=> 'La fecha activa se ha desactivado.',
	'ACTIVE_DATE'			=> 'Fecha activa',
	'SHOW_ALL_DATES'		=> 'Mostrar todas las fechas',
	'HIDE_ALL_DATES'		=> 'Ocultar lista de fechas',
	'NO_DATE'				=> 'Date does not exist!',
	'INVALID_DATE'			=> 'Invalid date/option. Por favor, introduzca la fecha en formato DD.MM.YYYY HH:MM, YYYY-MM-DD HH:MM o ponga un # para ingresar una opción en formato de texto.',
	'CANNOT_ADD_PAST'		=> 'No se puede agregar una fecha pasada',
	'SUM'					=> 'Suma',
	'HOOKUP_NO_DATES'		=> 'No se ha añadido ninguna fecha.',
	'HOOKUP_NO_USERS'		=> 'No se ha invitado a ningún usuario.',
	'HOOKUP_USER_EXISTS'	=> 'El usuario %s ya es miembro de este planificador de reuniones.',
	'HOOKUP_USERS_EXIST'	=> 'Los usuarios seleccionados ya son miembros de este planificador de reuniones.',
	'USERNAMES_EXPLAIN'		=> 'Aquí puede añadir nuevos usuarios a la lista. Se pueden introducir varios usuarios, asegúrese de iniciar una nueva línea para cada usuario.',
	'HOOKUP_ADD_GROUPS_EXPLAIN'=> 'Aquí puede agregar grupos completos a la lista. Se pueden seleccionar varios grupos, se agregarán todos los usuarios de todos los grupos seleccionados.',
	'HOOKUP_OVERVIEW'		=> 'Planificador de reuniones',
	'DATE_ALREADY_ADDED'	=> 'La fecha %1s ya se ha añadido a este planificador de reuniones',
	'HOOKUP_DELETE_EXPLAIN'	=> 'Aquí puede eliminar usuarios individuales, fechas, o el planificador de reuniones completo',
	'DELETE_HOOKUP'			=> 'Eliminar planificador de reuniones',
	'DELETE_WHOLE_HOOKUP'	=> 'Eliminar todo el planificador de reuniones',
	'DELETE_HOOKUP_NO'		=> 'No eliminar nada',
	'DELETE_HOOKUP_DISABLE'	=> 'Sólo deshabilitar',
	'DELETE_HOOKUP_DISABLE_EXPLAIN' => 'El planificador de reuniones ya no se mostrará en el tema, pero los datos (usuarios, fechas, información disponible) se mantendrán en la base de datos.',
	'DELETE_HOOKUP_DISABLE_CONFIRM'	=> '¿Realmente desea desactivar el planificador de reuniones? Los datos (usuarios, fechas, información disponible) se mantendrán en la base de datos y el planificador de reuniones podrá reactivarse en cualquier momento',
	'DELETE_HOOKUP_DELETE'	=> 'Borrar todos los datos',
	'DELETE_HOOKUP_DELETE_EXPLAIN' => 'Todos los datos relacionados con este planificador de reuniones serán eliminados.',
	'DELETE_HOOKUP_DELETE_CONFIRM'	=> '¿Desea realmente eliminar este planificador de reuniones? Todos los datos almacenados (usuarios, fechas, información disponible) se perderán y no se podrán restaurar.',
	'DELETE_USERS'			=> 'Eliminar usuarios individuales',
	'DELETE_DATES'			=> 'Borrar fechas individuales',
	'HOOKUP_DELETE_VIEWTOPIC_EXPLAIN' => 'Este tema ya contiene un planificador de reuniones activo. Para eliminar fechas individuales/usuarios o todo el planificador de reuniones, use la pestaña <em>Borrar</em> en la vista de tema',
	'HOOKUP_DELETE_CONFIRM'	=> array(
		'USERS' => '¿Realmente desea eliminar %s?',
		'DATES'	=> '¿Realmente desea eliminar %s?',
		'UANDD' => '¿Realmente desea eliminar %s y %s?',
	),
	'DATES' => array(
		1 => '1 fecha',
		2 => '%d fechas',
	),
	'USERS' => array(
		1 => '1 usuario',
		2 => '%d usuarios',
	),
	//'ADDED_AT_BY'			=> 'added at %1s by %2s',
	'OPEN_CALENDAR'			=> 'Abrir calendario',
	'CLOSE_CALENDAR'		=> 'Cerrar calendario',
	'USER_CANNOT_READ_FORUM'=> 'El usuario %s no tiene permiso para leer este foro.',
	'USER_CANNOT_HOOKUP'	=> 'El usuario %s no está autorizado a utilizar planificadores de reuniones en este foro.',
	'SET_ACTIVE_TITLE_PREFIX'=>'Precede el título del tema con la fecha activa',
	'SET_ACTIVE_SEND_EMAIL'	=> 'Notificar a los miembros del planificador de reuniones por correo electrónico sobre la fecha activa',
	'SET_ACTIVE_POST_REPLY'	=> 'Añadir una respuesta con un aviso sobre la fecha activa a este tema',
	'SET_ACTIVE_POST_TEMPLATE'=> "La fecha activa se ha establecido: [b]{ACTIVE_DATE}[/b]",
	'HOOKUP_SELF_INVITE'	=> 'Invitarme a mi mismo',
	'HOOKUP_SELF_INVITE_DESC' => 'Cualquier persona que esté interesado puede agregarse a la lista de miembros.',
	'HOOKUP_SELF_INVITE_EXPLAIN' => 'Si hay un gran número de usuarios potencialmente interesados pero sólo algunos de ellos están realmente interesados, puede usar esta opción para permitir que los interesados se inviten como miembros del planificador de reuniones.',
	'HOOKUP_INVITE_SELF'	=> 'Participar',
	'HOOKUP_INVITE_SELF_DESC' => 'Sí, quiero ser parte de este planificador de reuniones.',
	'HOOKUP_INVITE_SELF_EXPLAIN' => 'Este es un planificador de reuniones abierto, cualquiera que esté interesado puede agregarse como miembro. Si desea participar, utilice el siguiente botón.',
	'HOOKUP_INVITE_SELF_EXPLAIN_GUEST' => 'Este es un planificador de reuniones abierto, cualquiera que esté interesado puede agregarse como miembro. Primero debe iniciar sesión si desea utilizar esta función.',
	'HOOKUP_INVITE_SELF_LEAVE'	=> 'Cancelar membresia',
	'HOOKUP_INVITE_SELF_LEAVE_DESC'	=> 'Haga clic aquí para cancelar su membresía en este planificador de reuniones.',
	'HOOKUP_INVITE_SELF_LEAVE_EXPLAIN' => 'Actualmente es miembro de este planificador de reuniones. Utilice el siguiente botón si no desea participar más.',
	'HOOKUP_INVITE_SELF_LEAVE_CONFIRM' => '¿Realmente desea cancelar su membresía en este planificador de reuniones?',
	'HOOKUP_INVITE_MYSELF'	=> 'Invitarme',
	'COMMENT'				=> 'Comentar',
	'COMMENT_EXPLAIN'		=> 'Opcionalmente puede introducir un comentario que aclare sus entradas en la lista anterior. Esto es especialmente útil para entradas “Tal vez”. Si introduce un comentario, aparecerá un símbolo de comentario detrás de su nombre de usuario en la lista y aparecerá un mensaje emergente.',
	'HOOKUP_AUTORESET'		=> 'Reinicio semanal',
	'HOOKUP_AUTORESET_DESC'	=> 'Con esta configuración, puede configurar el planificador de reuniones para que se restablezca automáticamente una vez por semana.<br /> Al hacer esto, la primera entrada del planificador se repite cada semana y las fechas anteriores se eliminan automáticamente.',
	'HOOKUP_AUTORESET_ACTIVE_DESC' => 'Este planificador de reuniones agregará nuevas fechas automáticamente cada semana. Se eliminarán las fechas más antiguas.',
	'RUN'					=> 'Ejecutar',
));
